package com.nisum.paymentgatewayazuredataservice.controller;

import com.nisum.paymentgatewayazuredataservice.domain.model.PaymentAuthData;
import com.nisum.paymentgatewayazuredataservice.service.PaymentAuthService;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("api/authorizations")
public class PaymentAuthController {
    private final PaymentAuthService service;

    public PaymentAuthController(PaymentAuthService service) {
        this.service = service;
    }

    @PostMapping("")
    public Mono<PaymentAuthData> createAuthorization(@RequestBody PaymentAuthData data) {
        return service.create(data);
    }

    @GetMapping("{id}")
    public Mono<PaymentAuthData> getAuthorization(@PathVariable("id") String id) {
        return service.getOneById(id);
    }
}
