package com.nisum.paymentgatewayazuredataservice.service;

import com.nisum.paymentgatewayazuredataservice.domain.model.PaymentAuthData;
import com.nisum.paymentgatewayazuredataservice.repository.PaymentAuthRepository;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

import java.util.UUID;

@Service
public class PaymentAuthService {
    private PaymentAuthRepository repository;

    public PaymentAuthService(PaymentAuthRepository repository) {
        this.repository = repository;
    }

    public Mono<PaymentAuthData> getOneById(String id) {
        return repository.findById(id)
                .onErrorResume(Mono::error);
    }

    public Mono<PaymentAuthData> create(PaymentAuthData data) {
        data.setId(UUID.randomUUID().toString());
        return repository.save(data);
    }

}
